<?php
/**
* Protection Controller para Securitycheck Pro
* @ author Jose A. Luque
* @ Copyright (c) 2011 - Jose A. Luque
* @license GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Load framework base classes
jimport('joomla.application.component.controller');

/**
* Securitycheckpros  Controller
*
*/
class SecuritycheckprosControllerFirewallLists extends SecuritycheckproController
{

/* Redirecciona las peticiones al componente */
function redireccion()
{
	$this->setRedirect( 'index.php?option=com_securitycheckpro&controller=firewalllists&view=firewallcpanel' );
}

/* Borra IPs de la lista negra */
function deleteip_blacklist()
{
	$model = $this->getModel("firewalllists");
	$model->manage_list('blacklist','delete');
			
	parent::display();	
}

/* Aade un IP a la lista negra */
function addip_blacklist()
{
	$model = $this->getModel("firewalllists");
	$model->manage_list('blacklist','add');
			
	parent::display();	
}

/* Borra IPs de la lista blanca */
function deleteip_whitelist()
{
	$model = $this->getModel("firewalllists");
	$model->manage_list('whitelist','delete');
			
	parent::display();	
}

/* Aade un IP a la lista blanca */
function addip_whitelist()
{
	$model = $this->getModel("firewalllists");
	$model->manage_list('whitelist','add');
			
	parent::display();	
}

/* Borra IPs de la lista negra dinmica */
function deleteip_dynamic_blacklist()
{
	$model = $this->getModel("firewalllists");
	$model->deleteip_dynamic_blacklist();
			
	parent::display();	
}

/* Guarda los cambios y redirige al cPanel */
public function save()
{
	$model = $this->getModel('firewalllists');
	$data = JRequest::get('post');
	$model->saveConfig($data, 'pro_plugin');

	$this->setRedirect('index.php?option=com_securitycheckpro&view=firewalllists&'. JSession::getFormToken() .'=1',JText::_('COM_SECURITYCHECKPRO_CONFIGSAVED'));
}

/* Guarda los cambios */
public function apply()
{
	$this->save('pro_plugin');
	$this->setRedirect('index.php?option=com_securitycheckpro&controller=firewalllists&view=firewalllists&'. JSession::getFormToken() .'=1',JText::_('COM_SECURITYCHECKPRO_CONFIGSAVED'));
}

}