﻿<?php 

/*
* @ author Jose A. Luque
* @ Copyright (c) 2011 - Jose A. Luque
* @license GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access'); 

// Add style declaration
$media_url = "media/com_securitycheckpro/stylesheets/cpanelui.css";
JHTML::stylesheet($media_url);

$bootstrap_css = "media/com_securitycheckpro/stylesheets/bootstrap.min.css";
JHTML::stylesheet($bootstrap_css);

?>

<form action="index.php" method="post" name="adminForm" id="adminForm">

<div class="securitycheck-bootstrap">

<div id="editcell">
<div class="accordion-group">
</div>

<div>
	<span class="badge" style="background-color: #C68C51; padding: 10px 10px 10px 10px; float:right;"><?php echo JText::_( 'COM_SECURITYCHECKPRO_VULNERABILITY_LIST' ); echo "<img src=\"../media/com_securitycheckpro/images/compat_icon_3_0.png\" alt=\"Vulnerabilidades para Joomla 3.0\">"; echo "<img src=\"../media/com_securitycheckpro/images/compat_icon_3_1.png\" alt=\"Vulnerabilidades para Joomla 3.1\">";?></span>
</div>

	<table class="table table-bordered table-hover">
	<thead>
		<tr>
			<th class="vulnerabilities-list" align="center" width="20%">
				<?php echo JText::_( 'COM_SECURITYCHECKPRO_VULNERABILITY_PRODUCT' ); ?>
			</th>
			<th class="vulnerabilities-list" align="center">
				<?php echo JText::_( 'COM_SECURITYCHECKPRO_VULNERABILITY_DETAILS' ); ?>
			</th>
			<th class="vulnerabilities-list" align="center">
				<?php echo JText::_( 'COM_SECURITYCHECKPRO_VULNERABILITY_CLASS' ); ?>
			</th>
			<th class="vulnerabilities-list" align="center">
				<?php echo JText::_( 'COM_SECURITYCHECKPRO_VULNERABILITY_PUBLISHED' ); ?>
			</th>
			<th class="vulnerabilities-list" align="center">
				<?php echo JText::_( 'COM_SECURITYCHECKPRO_VULNERABILITY_VULNERABLE' ); ?>
			</th>
			<th class="vulnerabilities-list" align="center">
				<?php echo JText::_( 'COM_SECURITYCHECKPRO_VULNERABILITY_SOLUTION' ); ?>
			</th>
		</tr>
	</thead>
<?php
$k = 0;
foreach ($this->vuln_details as &$row) {
?>
<tr>
	<td align="center">
			<?php echo $row->Product; ?>	
	</td>
	<td align="center">
			<?php echo $row->description; ?>	
	</td>		
	<td align="center">
			<?php echo $row->class; ?>	
	</td>	
	<td align="center">
			<?php echo $row->published; ?>	
	</td>
	<td align="center">
			<?php echo $row->vulnerable; ?>	
	</td>
	<td align="center">
		<?php 
			$solution_type = $row->solution_type;			
			if ( $solution_type == 'update' )
			{
				echo JText::_('COM_SECURITYCHECKPRO_SOLUTION_TYPE_' . $row->solution_type) . ' ' . $row->solution;
			}else if ( $solution_type == 'none' ){
				echo JText::_('COM_SECURITYCHECKPRO_SOLUTION_TYPE_NONE');
			}
			
		?>
	</td>
</tr>
<?php
$k = $k+1;
}
?>
</table>
</div>


<div class="securitycheck-bootstrap">
	<div class="alert alert-success centrado">
		<?php echo JText::_('COM_SECURITYCHECKPRO_VULNERABILITY_EXPLAIN_1'); ?>	
	</div>
</div>	

<?php
if ( !empty($this->vuln_details) ) {		
?>
<div class="margen">
	<div>
		<?php echo $this->pagination->getListFooter(); ?></td>
	</div>
</div>
<?php
}
?>

<div class="clr"></div>

<div class="accordion-group">
	<div class="accordion-heading">
		<?php echo JText::_('COM_SECURITYCHECKPRO_COPYRIGHT'); ?>
	</div>
</div>

<input type="hidden" name="option" value="com_securitycheckpro" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="1" />
<input type="hidden" name="view" value="vulninfo" />
<input type="hidden" name="controller" value="securitycheckpro" />
</form>