﻿<?php 

/*
* @ author Jose A. Luque
* @ Copyright (c) 2011 - Jose A. Luque
* @license GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
*/

defined('_JEXEC') or die('Restricted access'); 
$description_array = array(JHtml::_('select.option','TAGS_STRIPPED', JText::_('COM_SECURITYCHECKPRO_TAGS_STRIPPED')),
			JHtml::_('select.option','DUPLICATE_BACKSLASHES', JText::_('COM_SECURITYCHECKPRO_DUPLICATE_BACKSLASHES')),
			JHtml::_('select.option','LINE_COMMENTS', JText::_('COM_SECURITYCHECKPRO_LINE_COMMENTS')),
			JHtml::_('select.option','SQL_PATTERN', JText::_('COM_SECURITYCHECKPRO_SQL_PATTERN')),
			JHtml::_('select.option','IF_STATEMENT', JText::_('COM_SECURITYCHECKPRO_IF_STATEMENT')),
			JHtml::_('select.option','INTEGERS', JText::_('COM_SECURITYCHECKPRO_INTEGERS')),
			JHtml::_('select.option','BACKSLASHES_ADDED', JText::_('COM_SECURITYCHECKPRO_BACKSLASHES_ADDED')),
			JHtml::_('select.option','LFI', JText::_('COM_SECURITYCHECKPRO_LFI')),
			JHtml::_('select.option','IP_BLOCKED', JText::_('COM_SECURITYCHECKPRO_IP_BLOCKED')),
			JHtml::_('select.option','IP_BLOCKED_DINAMIC', JText::_('COM_SECURITYCHECKPRO_IP_BLOCKED_DINAMIC')),
			JHtml::_('select.option','IP_PERMITTED', JText::_('COM_SECURITYCHECKPRO_IP_PERMITTED')),
			JHtml::_('select.option','FORBIDDEN_WORDIRECTORY_SEPARATOR', JText::_('COM_SECURITYCHECKPRO_FORBIDDEN_WORDIRECTORY_SEPARATOR')),
			JHtml::_('select.option','SESSION_PROTECTION', JText::_('COM_SECURITYCHECKPRO_SESSION_PROTECTION')));
	
$type_array = array(JHtml::_('select.option','XSS', JText::_('COM_SECURITYCHECKPRO_TITLE_XSS')),
			JHtml::_('select.option','XSS_BASE64', JText::_('COM_SECURITYCHECKPRO_TITLE_XSS_BASE64')),
			JHtml::_('select.option','SQL_INJECTION', JText::_('COM_SECURITYCHECKPRO_TITLE_SQL_INJECTION')),
			JHtml::_('select.option','SQL_INJECTION_BASE64', JText::_('COM_SECURITYCHECKPRO_TITLE_SQL_INJECTION_BASE64')),
			JHtml::_('select.option','LFI', JText::_('COM_SECURITYCHECKPRO_TITLE_LFI')),
			JHtml::_('select.option','LFI_BASE64', JText::_('COM_SECURITYCHECKPRO_TITLE_LFI_BASE64')),
			JHtml::_('select.option','IP_PERMITTED', JText::_('COM_SECURITYCHECKPRO_TITLE_IP_PERMITTED')),
			JHtml::_('select.option','IP_BLOCKED', JText::_('COM_SECURITYCHECKPRO_TITLE_IP_BLOCKED')),
			JHtml::_('select.option','IP_BLOCKED_DINAMIC', JText::_('COM_SECURITYCHECKPRO_TITLE_IP_BLOCKED_DINAMIC')),
			JHtml::_('select.option','SECOND_LEVEL', JText::_('COM_SECURITYCHECKPRO_TITLE_SECOND_LEVEL')),
			JHtml::_('select.option','USER_AGENT_MODIFICATION', JText::_('COM_SECURITYCHECKPRO_TITLE_USER_AGENT_MODIFICATION')),
			JHtml::_('select.option','REFERER_MODIFICATION', JText::_('COM_SECURITYCHECKPRO_TITLE_REFERER_MODIFICATION')),
			JHtml::_('select.option','SESSION_PROTECTION', JText::_('COM_SECURITYCHECKPRO_TITLE_SESSION_PROTECTION')),
			JHtml::_('select.option','SESSION_HIJACK_ATTEMPT', JText::_('COM_SECURITYCHECKPRO_TITLE_SESSION_HIJACK_ATTEMPT')));
			
$leido_array = array(JHtml::_('select.option',0, JText::_('COM_SECURITYCHECKPRO_LOG_NOT_READ')),
			JHtml::_('select.option',1, JText::_('COM_SECURITYCHECKPRO_LOG_READ')));

JHtml::_('behavior.tooltip');
JHtml::_('behavior.modal');
JHTML::_( 'behavior.framework', true );

// Add style declaration
$media_url = "media/com_securitycheckpro/stylesheets/cpanelui.css";
JHTML::stylesheet($media_url);

$bootstrap_css = "media/com_securitycheckpro/stylesheets/bootstrap.min.css";
JHTML::stylesheet($bootstrap_css);
?>

<?php if (!($this->logs_attacks)){ ?>

<div style=" text-align:center; background-color:#F78181; border:1px; border-style:solid ">
<h2><?php echo JText::_('COM_SECURITYCHECKPRO_LOGS_RECORD_DISABLED'); ?></h2>
<div id="top"><?php echo JText::_('COM_SECURITYCHECKPRO_LOGS_RECORD_DISABLED_TEXT'); ?></div>
</div>
<?php } ?>


<form action="<?php echo JRoute::_('index.php?option=com_securitycheckpro&view=logs');?>" method="post" name="adminForm" id="adminForm">

<div id="filter-bar" class="btn-toolbar">
	<div class="filter-search btn-group pull-left">
		<input type="text" name="filter_search" placeholder="<?php echo JText::_('JSEARCH_FILTER_LABEL'); ?>" id="filter_search" value="<?php echo $this->escape($this->state->get('filter.search')); ?>" title="<?php echo JText::_('JSEARCH_FILTER'); ?>" />
	</div>
	<div class="btn-group pull-left">
		<button class="btn tip" type="submit" rel="tooltip" title="<?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?>"><i class="icon-search"></i></button>
		<button class="btn tip" type="button" onclick="document.id('filter_search').value='';this.form.submit();" rel="tooltip" title="<?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?>"><i class="icon-remove"></i></button>
	</div>
</div>
<div>
		<?php echo JHTML::_('calendar', $this->getModel()->getState('datefrom',''), 'datefrom', 'datefrom', '%Y-%m-%d', array('onchange'=>'document.adminForm.submit();', 'class' => 'input-small')); ?>
		&ndash;
		<?php echo JHTML::_('calendar', $this->getModel()->getState('dateto',''), 'dateto', 'dateto', '%Y-%m-%d', array('onchange'=>'document.adminForm.submit();', 'class' => 'input-small')); ?>
		<select name="filter_description" class="inputbox" onchange="this.form.submit()">
			<option value=""><?php echo JText::_('COM_SECURITYCHECKPRO_SELECT_DESCRIPTION');?></option>
			<?php echo JHtml::_('select.options', $description_array, 'value', 'text', $this->state->get('filter.description'));?>
		</select>
		<select name="filter_type" class="inputbox" onchange="this.form.submit()">
			<option value=""><?php echo JText::_('COM_SECURITYCHECKPRO_TYPE_DESCRIPTION');?></option>
			<?php echo JHtml::_('select.options', $type_array, 'value', 'text', $this->state->get('filter.type'));?>
		</select>
		<select name="filter_leido" class="inputbox" onchange="this.form.submit()">
			<option value=""><?php echo JText::_('COM_SECURITYCHECKPRO_MARKED_DESCRIPTION');?></option>
			<?php echo JHtml::_('select.options', $leido_array, 'value', 'text', $this->state->get('filter.leido'));?>
		</select>
</div>

<div class="clearfix"> </div>

<div>
	<span class="badge" style="background-color: #C68C51; padding: 10px 10px 10px 10px; float:right;"><?php echo JText::_('COM_SECURITYCHECKPRO_LIST_LOGS');?></span>
</div>
	
	<table class="table table-bordered table-hover">
	<thead>
		<tr>
			<th class="logs" align="center">
				<?php echo JText::_( "Ip" ); ?>
			</th>
			<th class="logs" align="center">
				<?php echo JText::_( 'COM_SECURITYCHECKPRO_GEOLOCATION_LABEL' ); ?>
			</th>
			<th class="logs" align="center">
				<?php echo JText::_( 'COM_SECURITYCHECKPRO_LOG_TIME' ); ?>
			</th>
			<th class="logs" align="center">
				<?php echo JText::_( 'COM_SECURITYCHECKPRO_USER' ); ?>
			</th>
			<th class="logs" align="center">
				<?php echo JText::_( 'COM_SECURITYCHECKPRO_LOG_DESCRIPTION' ); ?>
			</th>
			<th class="logs" align="center">
				<?php echo JText::_( 'COM_SECURITYCHECKPRO_LOG_URI' ); ?>
			</th>
			<th class="logs" align="center">
				<?php echo JText::_( 'COM_SECURITYCHECKPRO_TYPE_COMPONENT' ); ?>
			</th>
			<th class="logs" align="center">
				<?php echo JText::_( 'COM_SECURITYCHECKPRO_LOG_TYPE' ); ?>
			</th>
			<th class="logs" align="center">
				<?php echo JText::_( 'COM_SECURITYCHECKPRO_LOG_READ' ); ?>
			</th>
			<th class="logs" align="center">
				<input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this)" />
			</th>
		</tr>
	</thead>
<?php
$k = 0;
foreach ($this->log_details as &$row) {	
?>
<tr>
	<td align="center">
			<?php echo $row->ip; ?>	
	</td>
	<td align="center">
			<?php echo $row->geolocation; ?>	
	</td>
	<td align="center">
			<?php echo $row->time; ?>	
	</td>
	<td align="center">
			<?php echo $row->username; ?>	
	</td>
	<td align="center">
			<?php $title = JText::_( 'COM_SECURITYCHECK_ORIGINAL_STRING' ); ?>
			<?php $decoded_string = base64_decode($row->original_string); ?>
			<?php echo JText::_( 'COM_SECURITYCHECKPRO_' .$row->tag_description ); ?>
			<?php echo JText::_( ':' .$row->description ); ?>
			<?php echo "<br />"; ?>
			<textarea cols="30" rows="1" readonly><?php echo $decoded_string ?></textarea>
	</td>	
	<td align="center">
			<?php echo $row->uri; ?>	
	</td>
	<td align="center">
			<?php echo $row->component; ?>	
	</td>
	<td align="center">
		<?php 
			$type = $row->type;			
			if ( $type == 'XSS' ){
				echo ('<img src="../media/com_securitycheckpro/images/xss.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'">');
			}else if ( $type == 'XSS_BASE64' ){
				echo ('<img src="../media/com_securitycheckpro/images/xss_base64.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'">');
			}else if ( $type == 'SQL_INJECTION' ){
				echo ('<img src="../media/com_securitycheckpro/images/sql_injection.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'">');
			}else if ( $type == 'SQL_INJECTION_BASE64' ){
				echo ('<img src="../media/com_securitycheckpro/images/sql_injection_base64.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'">');
			}else if ( $type == 'LFI' ){
				echo ('<img src="../media/com_securitycheckpro/images/local_file_inclusion.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'">');
			}else if ( $type == 'LFI_BASE64' ){
				echo ('<img src="../media/com_securitycheckpro/images/local_file_inclusion_base64.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'">');
			}else if ( $type == 'IP_PERMITTED' ){
				echo ('<img src="../media/com_securitycheckpro/images/permitted.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'">');
			}else if ( $type == 'IP_BLOCKED' ){
				echo ('<img src="../media/com_securitycheckpro/images/blocked.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'">');
			}else if ( $type == 'IP_BLOCKED_DINAMIC' ){
				echo ('<img src="../media/com_securitycheckpro/images/dinamically_blocked.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'">');
			}else if ( $type == 'SECOND_LEVEL' ){
				echo ('<img src="../media/com_securitycheckpro/images/second_level.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'">');
			}else if ( $type == 'USER_AGENT_MODIFICATION' ){
				echo ('<img src="../media/com_securitycheckpro/images/http.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'">');
			}else if ( $type == 'REFERER_MODIFICATION' ){
				echo ('<img src="../media/com_securitycheckpro/images/http.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'">');
			}else if ( $type == 'SESSION_PROTECTION' ){
				echo ('<img src="../media/com_securitycheckpro/images/session_protection.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'">');
			}else if ( $type == 'SESSION_HIJACK_ATTEMPT' ){
				echo ('<img src="../media/com_securitycheckpro/images/session_hijack.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_TITLE_' .$row->type ) .'">');
			}
		?>
	</td>
	<td align="center">
		<?php 
			$marked = $row->marked;			
			if ( $marked == 1 ){
				echo ('<img src="../media/com_securitycheckpro/images/read.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_LOG_NO_READ_CHANGE' ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_LOG_NO_READ_CHANGE' ) .'">');
			} else {
				echo ('<img src="../media/com_securitycheckpro/images/no_read.png" title="' . JText::_( 'COM_SECURITYCHECKPRO_LOG_READ_CHANGE' ) .'" alt="' . JText::_( 'COM_SECURITYCHECKPRO_LOG_READ_CHANGE' ) .'">');
			}
		?>
	</td>
	<td align="center">
			<?php echo JHtml::_('grid.id', $k, $row->id); ?>
	</td>
</tr>
<?php
$k = $k+1;
}
?>

</table>

<div>
	<?php echo $this->pagination->getListFooter(); ?></td>
</div>


<div class="clearfix"></div>

<div class="accordion-group">
	<div class="accordion-heading">
		<?php echo JText::_('COM_SECURITYCHECKPRO_COPYRIGHT'); ?>
	</div>
</div>

<input type="hidden" name="option" value="com_securitycheckpro" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="1" />
<input type="hidden" name="controller" value="securitycheckpro" />
</form>